import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";

export { Component } from "./component";

export const options = createOptions({
  name: "封面",
  value: {
    title: `<p style="text-align:center;"><span style="color:hsl(0,0%,100%);font-size:28px;">新科技反光面料</span></p><p style="text-align:center;"><span style="color:hsl(0,0%,100%);font-size:28px;">引领潮流新风尚</span></p><p style="text-align:center;">&nbsp;</p><p style="text-align:center;"><span style="color:hsl(0,0%,100%);font-size:16px;">时尚 ｜ 精致 ｜ 百搭</span></p>`,
  },
  background: {
    image:
      "https://infishwaibao.oss-cn-chengdu.aliyuncs.com/release/sku3d/img/partner_bg.5e324d05.png",
  },
});

export const Form = createAttrsForm([
  {
    label: "标题",
    dataIndex: "value.title",
    component: "Input",
  },
]);
