import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";
import { h } from "vue";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { compUI } = editor.config;

    return () => {
      const { currComp } = editor.store;

      return (
        <div>
          <div class="p-16px border-bottom !border-2px">设置栏</div>
          <div class="m-16px">
            {currComp?.compKey &&
              h(compUI[currComp.compKey].Form, { component: currComp })}
          </div>
        </div>
      );
    };
  },
});
