import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";
import { createColorOpts } from "../../../defines/formOpts/createColorOpts";

export { Component } from "./component";

export const options = createOptions({
  name: "标题",
  value: {
    title: "我的风格我选择",
    themeType: "none",
    themeColor: "#666666",
  },
});

export const Form = createAttrsForm([
  {
    label: "样式",
    dataIndex: "value.themeType",
    component: "Select",
    props: {
      options: [
        { label: "无", value: "none" },
        { label: "样式1", value: "border" },
      ],
    },
  },
  {
    label: "主题颜色",
    dataIndex: "value.themeColor",
    ...createColorOpts(),
  },
  {
    label: "标题",
    dataIndex: "value.title",
    component: "Input",
  },
]);
