import { nanoid } from "nanoid";
import { Background, ICompKeys, Layout } from "../../typings";
import { cloneDeep } from "lodash";

export class DesignComp {
  id = nanoid();
  compKey: ICompKeys = "Text";
  value: any = undefined;
  layout?: Layout;
  background?: Background;

  constructor(data?: Partial<DesignComp>) {
    if (!data) return;
    Object.assign(this, cloneDeep(data));
  }
}
